Skip to content

Retrieve an organization

View as Markdown
get /api/organizations/{id}

Retrieves a Organization resource.

Returns a single organization by id, including its owners and members. You must be a member of the organization to read it.

Path parameters

NameTypeRequiredDescription
idstringrequiredOrganization identifier

Response

200 - The organization with its owners and members

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring | null-
namestring-
created_atstring-
updated_atstring-
ownersMember[]-
Show owners fields
PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring-
emailstring-
namestring | null-
rolestring-
joined_atstring-
membersMember[]-
Show members fields
PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring-
emailstring-
namestring | null-
rolestring-
joined_atstring-

Errors

403 - Forbidden

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
titlestring | null-A short, human-readable summary of the problem.
detailstring | null-A human-readable explanation specific to this occurrence of the problem.
statusnumber | null-
instancestring | null-A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
typestring-A URI reference that identifies the problem type

404 - Not found

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
titlestring | null-A short, human-readable summary of the problem.
detailstring | null-A human-readable explanation specific to this occurrence of the problem.
statusnumber | null-
instancestring | null-A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
typestring-A URI reference that identifies the problem type